/* width */
/* ------------------------------ */

.w-auto {
    width: auto !important
}

.w-none,
.w-unset {
    width: unset !important
}

/* width with rem */

.w-0 {
    width: 0 !important
}

.w-1 {
    width: .25rem !important
}

.w-2 {
    width: .5rem !important
}

.w-3 {
    width: .75rem !important
}

.w-4 {
    width: 1rem !important
}

.w-5 {
    width: 1.5rem !important
}

.w-6 {
    width: 2rem !important
}

.w-7 {
    width: 2.5rem !important
}

.w-8 {
    width: 3rem !important
}

.w-9 {
    width: 3.5rem !important
}

/* width with percent */

.w-10 {
    width: 10% !important
}

.w-15 {
    width: 15% !important
}

.w-20 {
    width: 20% !important
}

.w-25 {
    width: 25% !important
}

.w-30 {
    width: 30% !important
}

.w-35 {
    width: 35% !important
}

.w-40 {
    width: 40% !important
}

.w-45 {
    width: 45% !important
}

.w-50 {
    width: 50% !important
}

.w-55 {
    width: 55% !important
}

.w-60 {
    width: 60% !important
}

.w-65 {
    width: 65% !important
}

.w-70 {
    width: 70% !important
}

.w-75 {
    width: 75% !important
}

.w-80 {
    width: 80% !important
}

.w-85 {
    width: 85% !important
}

.w-90 {
    width: 90% !important
}

.w-95 {
    width: 95% !important
}

.w-100 {
    width: 100% !important
}

/* width with vw */

.w-25vw {
    height: 25vw !important
}

.w-50vw {
    height: 50vw !important
}

.w-75vw {
    height: 75vw !important
}

.w-100vw {
    height: 100vw !important
}

/* width with pixel */

.w-1px {
    width: 1px !important
}

.w-2px {
    width: 2px !important
}

.w-3px {
    width: 3px !important
}

.w-4px {
    width: 4px !important
}

.w-5px {
    width: 5px !important
}

.w-10px {
    width: 10px !important
}

.w-15px {
    width: 15px !important
}

.w-20px {
    width: 20px !important
}

.w-25px {
    width: 25px !important
}

.w-30px {
    width: 30px !important
}

.w-35px {
    width: 35px !important
}

.w-40px {
    width: 40px !important
}

.w-45px {
    width: 45px !important
}

.w-50px {
    width: 50px !important
}

.w-55px {
    width: 55px !important
}

.w-60px {
    width: 60px !important
}

.w-65px {
    width: 65px !important
}

.w-70px {
    width: 70px !important
}

.w-75px {
    width: 75px !important
}

.w-80px {
    width: 80px !important
}

.w-85px {
    width: 85px !important
}

.w-90px {
    width: 90px !important
}

.w-95px {
    width: 95px !important
}

.w-100px {
    width: 100px !important
}

.w-110px {
    width: 110px !important
}

.w-120px {
    width: 120px !important
}

.w-130px {
    width: 130px !important
}

.w-140px {
    width: 140px !important
}

.w-150px {
    width: 150px !important
}

.w-160px {
    width: 160px !important
}

.w-170px {
    width: 170px !important
}

.w-180px {
    width: 180px !important
}

.w-190px {
    width: 190px !important
}

.w-200px {
    width: 200px !important
}

.w-210px {
    width: 210px !important
}

.w-220px {
    width: 220px !important
}

.w-230px {
    width: 230px !important
}

.w-240px {
    width: 240px !important
}

.w-250px {
    width: 250px !important
}

.w-300px {
    width: 300px !important
}

.w-350px {
    width: 350px !important
}

.w-400px {
    width: 400px !important
}

.w-450px {
    width: 450px !important
}

.w-500px {
    width: 500px !important
}

.w-600px {
    width: 600px !important
}

.w-700px {
    width: 700px !important
}

.w-800px {
    width: 800px !important
}

.w-900px {
    width: 900px !important
}

.w-950px {
    width: 950px !important
}

.w-1000px {
    width: 1000px !important
}

/* min-width */

.min-w-10px {
    min-width: 10px !important
}

.min-w-20px {
    min-width: 20px !important
}

.min-w-30px {
    min-width: 30px !important
}

.min-w-40px {
    min-width: 40px !important
}

.min-w-50px {
    min-width: 50px !important
}

.min-w-60px {
    min-width: 60px !important
}

.min-w-70px {
    min-width: 70px !important
}

.min-w-80px {
    min-width: 80px !important
}

.min-w-90px {
    min-width: 90px !important
}

.min-w-100px {
    min-width: 100px !important
}

.min-w-110px {
    min-width: 110px !important
}

.min-w-120px {
    min-width: 120px !important
}

.min-w-130px {
    min-width: 130px !important
}

.min-w-140px {
    min-width: 140px !important
}

.min-w-150px {
    min-width: 150px !important
}

.min-w-160px {
    min-width: 160px !important
}

.min-w-170px {
    min-width: 170px !important
}

.min-w-180px {
    min-width: 180px !important
}

.min-w-190px {
    min-width: 190px !important
}

.min-w-200px {
    min-width: 200px !important
}

.min-w-250px {
    min-width: 250px !important
}

.min-w-300px {
    min-width: 300px !important
}

.min-w-350px {
    min-width: 350px !important
}

.min-w-400px {
    min-width: 400px !important
}

.min-w-450px {
    min-width: 450px !important
}

.min-w-500px {
    min-width: 500px !important
}

.min-w-550px {
    min-width: 550px !important
}

.min-w-600px {
    min-width: 600px !important
}

.min-w-650px {
    min-width: 650px !important
}

.min-w-700px {
    min-width: 700px !important
}

.min-w-750px {
    min-width: 750px !important
}

.min-w-800px {
    min-width: 800px !important
}

.min-w-850px {
    min-width: 850px !important
}

.min-w-900px {
    min-width: 900px !important
}

.min-w-950px {
    min-width: 950px !important
}

.min-w-1000px {
    min-width: 1000px !important
}

/* max-width */

.max-w-100px {
    width: 100%;
    max-width: 100px !important
}

.max-w-150px {
    width: 100%;
    max-width: 150px !important
}

.max-w-200px {
    width: 100%;
    max-width: 200px !important
}

.max-w-250px {
    width: 100%;
    max-width: 250px !important
}

.max-w-300px {
    width: 100%;
    max-width: 300px !important
}

.max-w-350px {
    width: 100%;
    max-width: 350px !important
}

.max-w-360px {
    width: 100%;
    max-width: 360px !important
}

.max-w-400px {
    width: 100%;
    max-width: 400px !important
}

.max-w-450px {
    width: 100%;
    max-width: 450px !important
}

.max-w-480px {
    width: 100%;
    max-width: 480px !important
}

.max-w-500px {
    width: 100%;
    max-width: 500px !important
}

.max-w-550px {
    width: 100%;
    max-width: 550px !important
}

.max-w-600px {
    width: 100%;
    max-width: 600px !important
}

.max-w-640px {
    width: 100%;
    max-width: 640px !important
}

.max-w-650px {
    width: 100%;
    max-width: 650px !important
}

.max-w-700px {
    width: 100%;
    max-width: 700px !important
}

.max-w-720px {
    width: 100%;
    max-width: 720px !important
}

.max-w-750px {
    width: 100%;
    max-width: 750px !important
}

.max-w-800px {
    width: 100%;
    max-width: 800px !important
}

.max-w-850px {
    width: 100%;
    max-width: 850px !important
}

.max-w-900px {
    width: 100%;
    max-width: 900px !important
}

.max-w-950px {
    width: 100%;
    max-width: 950px !important
}

.max-w-960px {
    width: 100%;
    max-width: 960px !important
}

.max-w-1000px {
    width: 100%;
    max-width: 1000px !important
}

.max-w-1050px {
    width: 100%;
    max-width: 1050px !important
}

.max-w-1100px {
    width: 100%;
    max-width: 1100px !important
}

.max-w-1140px {
    width: 100%;
    max-width: 1140px !important
}

.max-w-1150px {
    width: 100%;
    max-width: 1150px !important
}

.max-w-1200px {
    width: 100%;
    max-width: 1200px !important
}

/* ad-mrkang@naver.com */